In a nutshell, a BizTalk Accelerator is an industry specific solution.  There are two editions:  Enterprise and Standard.  Each edition is installed with the corresponding BizTalk Server edition except for Developer edition which requires Enterprise.    Each accelerator has a specific installation guide and must be followed after the core BizTalk Server is properly installed and configured. 

BizTalk Accelerator for SWIFT (A4SWIFT)

Provides a set of schemas, rules, and associated tools to assist you in the integration of SWIFT messaging with your internal applications.  Along with A4SWIFT or by itself, you can also use FileAct and InterAct Adapters which provide connectivity between BizTalk Server and the SWIFT Secure IP Network (SIPN) for the transfer of files. 

A4SWIFT 3.0 requires BizTalk Server 2006 R2

A4SWIFT 2.3 requires BizTalk Server 2006

A4SWIFT 2.1 requires BizTalk Server 2004

Microsoft BizTalk Adapter for FileAct and InterAct 2.3 requires BizTalk Server 2006 R2.  It does not require A4SWIFT to be installed. 

SWIFT guidelines are issued once a year and in order to implement them, we issue a Message Pack yearly.  The latest being Message Pack 2008 and is generally available yearly late 3rd or early 4th quarter.  There has been a Service Pack 1 issue for A4SWIFT.  Kb article http://support.microsoft.com/kb/925731 compiles the version information and download location for each version. 

BizTalk Accelerator for HL7 (BTAHL7)

Allows you to develop business processes between your health care computer systems. By using BTAHL7, developers, IT professionals, and interface analysts can work in a common environment to develop end-to-end integrated BTAHL7-based solutions across health care applications.

BTAHL7 2.0 requires BizTalk Server 2006 R2

BTAHL7 1.3 requires BizTalk Server 2006

BTAHL7 1.0 requires BizTalk Server 2004

BizTalk Accelerator for RosettaNet (BTARN) 

Streamlines the development and deployment of RosettaNet standards-based integration solutions.  BTARN supports the RosettaNet Implementation Framework (RNIF) versions 1.1 and 2.0.01.

BTARN 3.5 requires BizTalk Server 2006 R2

BTARN 3.3 requires BizTalk Server 2006

BTARN 3.0 requires BizTalk Server 2004

There will be a new version of Accelerators for BizTalk Server 2009.